Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031722
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2015-12-14 18:282015-12-17 15:58
ReporteregoitzView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q3.5
StatusclosedFix in branchFixed in SCM revisiond77b82650d50
ProjectionnoneETAnoneTarget Version3.0PR15Q3.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-04-22
Regression introduced in release3.0PR15Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/b1614f4301585bb0f8affbf5cf53f451dd284851 [^]
Triggers an Emergency PackNo
Summary

0031722: a date used to filter on a grid dissapears after enter it

DescriptionWhen you write a date on the filter of a grid, after loss the focus, the value entered is removed, but the filter works properly
Steps To Reproduce-Go to sales order window with date 14-12-2015
-Remove all the filter on grid view
-Filter on the order date field by writing.
1412
-Then press tab key to change to next column
*The value entered is removed but the filter works properly
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0031705 closedcaristu a date used to filter on a grid dissapears after enter it 

-  Notes
(0082797)
hgbot (developer)
2015-12-16 10:13

Repository: erp/backports/3.0PR15Q3.5
Changeset: d77b82650d50876755e4d343176d8ba230b73bed
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 16 10:12:11 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/d77b82650d50876755e4d343176d8ba230b73bed [^]

fixes issue 31722: a date used to filter on a grid dissapears after enter it

After solving issue 29554 the values of the date filters are completely removed when invoking the clearValue() method. For this reason, in order to prevent the clearing of the date filter it is necessary to call setValue().

This was already controlled when choosing the dates from the date pickers, but not after entering the date with the tab or enter keys or when using the 'Use as Filter' menu option.

Now this cases are controlled also, by calling setValue() on the setSingleDateValue() method.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0082811)
alostale (developer)
2015-12-17 08:31

code reviewed

Tested:

 1. Adding date filter by typing (as described in this issue)
 2. Adding date filter by right click in date field to "Use as filter" (as described in 0031713)
 3. Using date filters in saved views (see 0029554)
 4. Getting direct link for a grid filtered by date with set by all the 3 ways defined above

- Issue History
Date Modified Username Field Change
2015-12-15 13:59 alostale Type defect => backport
2015-12-15 13:59 alostale Target Version => 3.0PR15Q3.6
2015-12-16 09:20 caristu Target Version 3.0PR15Q3.6 => 3.0PR15Q3.5
2015-12-16 10:12 caristu Review Assigned To => alostale
2015-12-16 10:12 caristu Issue Monitored: alostale
2015-12-16 10:13 hgbot Checkin
2015-12-16 10:13 hgbot Note Added: 0082797
2015-12-16 10:13 hgbot Status scheduled => resolved
2015-12-16 10:13 hgbot Resolution open => fixed
2015-12-16 10:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.5/rev/d77b82650d50876755e4d343176d8ba230b73bed [^]
2015-12-17 08:31 alostale Note Added: 0082811
2015-12-17 08:31 alostale Status resolved => closed
2015-12-17 08:31 alostale Fixed in Version => 3.0PR15Q3.5
2015-12-17 15:58 caristu Note Added: 0082834
2015-12-17 16:00 caristu Note Deleted: 0082834


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker